package com.inet.ailink.receiver;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableTransactionManagement
@EnableAutoConfiguration
@MapperScan("com.inet.ailink.receiver.mapper")
public class AilinkReceiverApplication {

    public static void main(String[] args) {
        SpringApplication.run(AilinkReceiverApplication.class, args);
    }

}
