 /**
 * Copyright (c) 2017-2017 andes.com
 * Licensed under the Apache License, Version 1.0 (the "License");
 */
 package com.inet.ailink.receiver.entity;


 /**
 * @author jason group
 * @version 1.0
 * @since 1.0
 */

// import com.inet.base.entity.BaseEntity;

 @SuppressWarnings("serial")
 public class DeviceType extends BaseEntity {

     //alias
     public static final String TABLE_ALIAS = "DeviceType";
     public static final String ALIAS_TYPE_ID = "typeId";
     public static final String ALIAS_DEVICE_NAME = "deviceName";
     public static final String ALIAS_DEVICE_IMAGE = "deviceImage";
     public static final String ALIAS_GROUP_ID = "groupId";
     public static final String ALIAS_GROUP_NAME = "groupName";



     //columns START
     private String typeId;
     private String deviceName;
     private String deviceImage;
     private String groupId;
     private String groupName;
     private String deviceServerUrl;
     //columns END

     public DeviceType(){
     }

     public void setTypeId(String value) {
         this.typeId = value;
     }

     public String getTypeId() {
         return this.typeId;
     }
     public void setDeviceName(String value) {
         this.deviceName = value;
     }

     public String getDeviceName() {
         return this.deviceName;
     }
     public void setDeviceImage(String value) {
         this.deviceImage = value;
     }

     public String getDeviceImage() {
         return this.deviceImage;
     }
     public void setGroupId(String value) {
         this.groupId = value;
     }

     public String getGroupId() {
         return this.groupId;
     }
     public void setGroupName(String value) {
         this.groupName = value;
     }

     public String getGroupName() {
         return this.groupName;
     }

     public String getDeviceServerUrl() {
         return deviceServerUrl;
     }

     public void setDeviceServerUrl(String deviceServerUrl) {
         this.deviceServerUrl = deviceServerUrl;
     }

 }

/**/

