/**
 * 
 */
package com.inet.ailink.receiver.service;

import com.inet.ailink.receiver.common.exception.BizException;

import java.util.List;

public interface IBaseService<E>{
	public int update(E entity) throws BizException;
  	public int save(List<E> entityList) throws BizException;
  	public int save(E entity) throws BizException;
	E get(Long id) throws BizException;
	int remove(Long id) throws BizException;
	public List<E> selectListObjByAttribute(Object entity) throws BizException;
}
