package com.inet.ailink.receiver.common.utils;

import java.util.regex.Pattern;

public class StringSelfUtil {

	public static boolean startWithChar(String s) { 
	    if (s != null && s.length() > 0) { 
	      String start = s.trim().substring(0, 1); 
	      Pattern pattern = Pattern.compile("^[A-Za-z]+$"); 
	      return pattern.matcher(start).matches(); 
	    } else { 
	      return false; 
	    } 
	}

	public static boolean isNumeric(String str){
	    Pattern pattern = Pattern.compile("[0-9]*");
	    return pattern.matcher(str).matches();   
	}
	
	public static String byteArrayToStr(byte[] byteArray) {
	    if (byteArray == null) {
	        return null;
	    }
	    String str = new String(byteArray);
	    return str;
	}
	
	public static boolean isEmpty(String s){
		if(s==null || s.equals("") || s.isEmpty()){
			return true;
		}else{
			return false;
		}
	}
	
	public static boolean isBlank(String s){
		return isEmpty(s);
	}
}
