package com.inet.ailink.receiver.common.vo;

public class WebContext {

    private static ThreadLocal<WebContext> webContextThreadLocal = new ThreadLocal<WebContext>();
    private String loginToken;
    private String userName;
    private Integer roleType;
    private Long userId;
    private Long enterpriseId;//用户企业信息id
    private String clientType;
    private String companyNo;
    private String emailAddress;
    private long appId;
    private String msgSignature;
    private String accountUUID;
    private String accountSecret;
    private String requestPramString;
    
    public WebContext()
    {
    }

    public static WebContext getWebContext()
    {
        WebContext context = (WebContext) webContextThreadLocal.get();
        if (context == null)
        {
            context = new WebContext();
            webContextThreadLocal.set(context);
        }
        return context;
    }

	public String getLoginToken() {
		return loginToken;
	}

	public void setLoginToken(String loginToken) {
		this.loginToken = loginToken;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Integer getRoleType() {
		return roleType;
	}

	public void setRoleType(Integer roleType) {
		this.roleType = roleType;
	}

	public String getClientType() {
		return clientType;
	}

	public void setClientType(String clientType) {
		this.clientType = clientType;
	}

	public String getCompanyNo() {
		return companyNo;
	}

	public void setCompanyNo(String companyNo) {
		this.companyNo = companyNo;
	}

	public Long getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(Long enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public long getAppId() {
		return appId;
	}

	public void setAppId(long appId) {
		this.appId = appId;
	}

	public String getEmailAddress() {
		return emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}

	public String getMsgSignature() {
		return msgSignature;
	}

	public void setMsgSignature(String msgSignature) {
		this.msgSignature = msgSignature;
	}

	public String getAccountUUID() {
		return accountUUID;
	}

	public void setAccountUUID(String accountUUID) {
		this.accountUUID = accountUUID;
	}

	public String getAccountSecret() {
		return accountSecret;
	}

	public void setAccountSecret(String accountSecret) {
		this.accountSecret = accountSecret;
	}

	public String getRequestPramString() {
		return requestPramString;
	}

	public void setRequestPramString(String requestPramString) {
		this.requestPramString = requestPramString;
	}
	
}
