package com.inet.ailink.receiver.entity;

//import com.inet.base.entity.BaseEntity;

import java.util.Date;

public class BodyFat extends BaseEntity {

	private Integer bodyFatId;//数据id
	private Integer appUserId;//账号id
	private Integer subUserId;//子用户id
	private Integer deviceId;// 设备id
	private String weight;//体重
	private String weightUnit;//体重单位
	private String weightPoint;//体重小数点
	private String bmi;//体质指数
	private String bfr;//体脂率
	private String sfr;//皮下脂肪率
	private String uvi;//内脏脂肪率
	private String rom;//肌肉率
	private String bmr;//基础代谢率
	private String bm;//骨骼质量
	private String vwc;//水含量
	private String bodyAge;//身体年龄
	private String pp;//蛋白率
	private String adc;//阻抗
	private Date uploadTime;//上传时间
	private String heartRate;//心率
	private String deviceAlgorithm;//算法
	private Long createTimeLong;
	private Integer calculationTimes;//计算次数
	private Integer source;// 数据来源；1：WIFI/4G称
	
	public BodyFat(){}
	
	public BodyFat(Integer deviceId,
                   String weight, String weightUnit, String weightPoint, String adc,
                   Date uploadTime, String heartRate, String deviceAlgorithm, Integer subUserId) {
		super();
		this.deviceId = deviceId;
		this.weight = weight;
		this.weightUnit = weightUnit;
		this.weightPoint = weightPoint;
		this.adc = adc;
		this.uploadTime = uploadTime;
		this.heartRate = heartRate;
		this.deviceAlgorithm = deviceAlgorithm;
		this.subUserId = subUserId;
	}

	
	
	public Long getCreateTimeLong() {
		return createTimeLong;
	}

	public void setCreateTimeLong(Long createTimeLong) {
		this.createTimeLong = createTimeLong;
	}

	public Integer getBodyFatId() {
		return bodyFatId;
	}

	public void setBodyFatId(Integer bodyFatId) {
		this.bodyFatId = bodyFatId;
	}

	public Integer getAppUserId() {
		return appUserId;
	}

	public void setAppUserId(Integer appUserId) {
		this.appUserId = appUserId;
	}

	public Integer getSubUserId() {
		return subUserId;
	}

	public void setSubUserId(Integer subUserId) {
		this.subUserId = subUserId;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}

	
	public String getWeightUnit() {
		return weightUnit;
	}

	public void setWeightUnit(String weightUnit) {
		this.weightUnit = weightUnit;
	}

	public String getWeightPoint() {
		return weightPoint;
	}

	public void setWeightPoint(String weightPoint) {
		this.weightPoint = weightPoint;
	}

	public String getBmi() {
		return bmi;
	}

	public void setBmi(String bmi) {
		this.bmi = bmi;
	}

	public String getBfr() {
		return bfr;
	}

	public void setBfr(String bfr) {
		this.bfr = bfr;
	}

	public String getSfr() {
		return sfr;
	}

	public void setSfr(String sfr) {
		this.sfr = sfr;
	}

	public String getUvi() {
		return uvi;
	}

	public void setUvi(String uvi) {
		this.uvi = uvi;
	}

	public String getRom() {
		return rom;
	}

	public void setRom(String rom) {
		this.rom = rom;
	}

	public String getBmr() {
		return bmr;
	}

	public void setBmr(String bmr) {
		this.bmr = bmr;
	}

	public String getBm() {
		return bm;
	}

	public void setBm(String bm) {
		this.bm = bm;
	}

	public String getVwc() {
		return vwc;
	}

	public void setVwc(String vwc) {
		this.vwc = vwc;
	}

	public String getBodyAge() {
		return bodyAge;
	}

	public void setBodyAge(String bodyAge) {
		this.bodyAge = bodyAge;
	}

	public String getPp() {
		return pp;
	}

	public void setPp(String pp) {
		this.pp = pp;
	}

	public String getAdc() {
		return adc;
	}

	public void setAdc(String adc) {
		this.adc = adc;
	}

	public Date getUploadTime() {
		return uploadTime;
	}

	public void setUploadTime(Date uploadTime) {
		this.uploadTime = uploadTime;
	}

	public String getHeartRate() {
		return heartRate;
	}

	public void setHeartRate(String heartRate) {
		this.heartRate = heartRate;
	}

	public String getDeviceAlgorithm() {
		return deviceAlgorithm;
	}

	public void setDeviceAlgorithm(String deviceAlgorithm) {
		this.deviceAlgorithm = deviceAlgorithm;
	}

	public Integer getCalculationTimes() {
		return calculationTimes;
	}

	public Integer getSource() {
		return source;
	}

	public void setCalculationTimes(Integer calculationTimes) {
		this.calculationTimes = calculationTimes;
	}

	public void setSource(Integer source) {
		this.source = source;
	}

	@Override
	public String toString() {
		return "BodyFat{" +
				"bodyFatId=" + bodyFatId +
				", appUserId=" + appUserId +
				", subUserId=" + subUserId +
				", deviceId=" + deviceId +
				", weight='" + weight + '\'' +
				", weightUnit='" + weightUnit + '\'' +
				", weightPoint='" + weightPoint + '\'' +
				", bmi='" + bmi + '\'' +
				", bfr='" + bfr + '\'' +
				", sfr='" + sfr + '\'' +
				", uvi='" + uvi + '\'' +
				", rom='" + rom + '\'' +
				", bmr='" + bmr + '\'' +
				", bm='" + bm + '\'' +
				", vwc='" + vwc + '\'' +
				", bodyAge='" + bodyAge + '\'' +
				", pp='" + pp + '\'' +
				", adc='" + adc + '\'' +
				", uploadTime=" + uploadTime +
				", heartRate='" + heartRate + '\'' +
				", deviceAlgorithm='" + deviceAlgorithm + '\'' +
				", createTimeLong=" + createTimeLong +
				", calculationTimes=" + calculationTimes +
				", source=" + source +
				'}';
	}
}
